models/mapobjects/tree/branch8
{
	surfaceparm alphashadow


	deformVertexes wave 194 sin 0 2 0 .1
	deformVertexes wave 30 sin 0 1 0 .3
	deformVertexes wave 194 sin 0 1 0 .4

	cull twosided

	{
            map models/mapobjects/tree/branch8.tga


		alphaFunc GE128
		depthWrite
		rgbGen vertex

	}
}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

// URT water

textures/toxic2_new/water1
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}


// LIGHTS


// indoor office

textures/duf/officelight_lite
{
	q3map_surfacelight 2600
	surfaceparm nomarks
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duf/officelight_lite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duf/officelight_lite.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


// TL light

textures/duf/duflight_1_2k
{
	qer_editorimage textures/duf/duflight_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2200
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duf/duflight_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duf/duflight_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}



// church etc



textures/duf/church_window
{ 
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nolightmap
	cull none
     

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duf/church_window2.tga
		
		
	}
	
	



	
}

textures/duf/window_OLD
{
	{	
		map textures/duf/window_OLD.tga
	}
	{
		map textures/jeffj/rcfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/duf/window_OLD.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}

textures/duf/window_block
{
	{	
		map textures/duf/window_block.tga
	}
	{
		map textures/jeffj/rcfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/duf/window_block.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}


textures/duf/church_window2
{
		q3map_surfacelight 200
	q3map_lightRGB 1 1 1
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nolightmap
	cull none
      //{
      	// clampmap textures/duf/church_window2.tga
//map textures/duf/church_window2.tga
        //    blendFunc GL_ONE GL_ONE
//blendFunc GL_ONE GL_ONE
		// blendFunc add

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duf/church_window2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duf/church_window2_blend.tga
		blendfunc GL_ONE GL_ONE
	



	}
}


textures/duf/window2
{
	{	
		map textures/duf/window2.tga
	}
	{
		map textures/jeffj/rcfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/duf/window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}


// Light emitting windows building next too church

//glass texture, based on urt one

textures/duf/glass
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
//	cull none
	qer_trans 	0.25
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}


// green exit sign



textures/duf/sign_exit
{
	q3map_surfacelight 500
	surfaceparm nomarks
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duf/sign_exit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duf/sign_exit.tga
		blendFunc GL_ONE GL_ONE
	}
}

